> For the complete documentation index, see [llms.txt](https://docs.trustlesswork.com/trustless-work/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trustlesswork.com/trustless-work/v1-pt/introducao/developer-resources/tipos/payloads/liberar-fundos.md).

# Liberar fundos

### Liberação Única

```typescript
/**
 * Payload de Liberação de Fundos de Liberação Única
 */
export type SingleReleaseReleaseFundsPayload = {
  /**
   * ID (endereço) que identifica o contrato de escrow
   */
  contractId: string;

  /**
   * Endereço do usuário responsável por liberar os fundos do escrow para o prestador de serviço.
   */
  releaseSigner: string;
};
```

### Liberação Múltipla

```typescript
/**
 * Payload de Liberação de Fundos de Liberação Múltipla
 */
export type MultiReleaseReleaseFundsPayload = {
  /**
   * ID (endereço) que identifica o contrato de escrow
   */
  contractId: string;

  /**
   * Endereço do usuário responsável por liberar os fundos do escrow para o prestador de serviço.
   */
  releaseSigner: string;

  /**
   * Índice do marco a ser liberado
   */
  milestoneIndex: string;
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v1-pt/introducao/developer-resources/tipos/payloads/liberar-fundos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
